#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  Xde,
  i1s,
  mR,
  pK
} from "../../../../../chunk-NRI5GDVQ.js";
import "../../../../../chunk-IAWYWZSL.js";
import "../../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/sentry/dist/files/pages/$+client.ts.js
async function getViteConfig(props) {
  let mod;
  try {
    mod = await i1s(props);
  } catch {
    mod = Xde("");
  }
  if (!props.meta.BATI.has("vue")) {
    mod.imports.$prepend({
      from: "../sentry.browser.config",
      imported: "sentryBrowserConfig"
    });
    const e = pK.functionCall("sentryBrowserConfig");
    const c = mR(e).code;
    mod.$ast.body.splice(mod.$ast.body.length - 1, 0, c);
  }
  return mod.generate().code;
}
export {
  getViteConfig as default
};
